using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using wpf_app.Model;

namespace wpf_app.Model.Windows
{
    /// <summary>
    /// Логика взаимодействия для ProductDetailsWindow.xaml
    /// </summary>
    public partial class ProductDetailsWindow : Window
    {
        public Product currentProduct { get; set; }
        
        public ProductDetailsWindow()
        {
            InitializeComponent();
        }
        public ProductDetailsWindow(Product currentProduct)
        {
            this.currentProduct = currentProduct;
            InitializeComponent();
            this.DataContext = currentProduct;
        }

        private void ExitButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
